<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number67</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.67:</b> Write a JavaScript program to create a new string from a given string, removing the first and last characters of the string if the first or last character are 'P'. Return the original string if the condition is not satisfied.</p>
	
	<p> <b> Solution :</b></p>
	<div style="border: 1px dashed black; padding: 20px; width: 500px; height: auto;">
	  <input type="text" id="txt1" placeholder="Enter The  Text You Want to Generate!" style="width: 280px; margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	function generate() {
		var str = document.getElementById('txt1').value;
		var last = str.substring(str.length-1 , str.length).toLowerCase();
		var first = str.substring(0,1).toLowerCase();
		if ( first == "p" || last == "p") {
			document.getElementById('demo').innerHTML=
				"First or last character of the string is P so that the result is: <br>" +
				str.substring(1,str.length-1);
		} else {
			document.getElementById('demo').innerHTML=
				"The condition is not satsified so that the result is: <br>" +
				str
		}
	}
	</script>
</body>
</html>
